Subject: Re: [take34 0/10] kevent: Generic event handling mechanism.

From: Evgeniy Polyakov <[email-masked]>
Date: Fri, 26 Jan 2007 01:56:34 +0300

On Thu, Jan 25, 2007 at 04:48:30PM +0300, Evgeniy Polyakov ([email-masked]) wrote:
> Changes from 'take33' patchset:
>  * Added optional header pointer and its size into aio_sendfile_path(), 
>    which allows to send header and file in one syscall instead of
>    send(header), open file, sendfile(file).

Btw, aio_sendfile and aio_sendfile_path use naive and actually the 
simplest approach of async IO - it just stupidly blocks on sending or 
resends (like repeated sending approach) - I'm a bit lazy to use kevent 
there, since there is _no_ gain after a bit more deep analysis 
(hint: there are multiple IO threads, some of them might block), 
and network AIO does not exist (yet, kevent status is in hinged state,
and I was asked to postpone additional feature addons, which otherwise
could happen a bit more frequently then current kevent/kernel releases), 
due to kevent future is indeterminate...

-- 
	Evgeniy Polyakov